<?php
  require_once 'app/model/db.class.php';
  require_once 'app/model/rangos.php';

  $obj = new database();

   $grado=$_SESSION['grado'];
   $curso=$_SESSION['curso'];
   $periodo=$_SESSION['periodo'];
   $asignatura=$_SESSION['asignatura'];
   $jornada=$_SESSION['jornada'];
   
   $notas=explode("/",$_POST['notas']);

    $obj->conectar(); $obj->consulta("set names 'utf8'");

    for ($x=0;$x<count($notas)-1;$x++){
                
             $info_alumno=explode("*",$notas[$x]);

             $notas_f = $obj->consulta("SELECT * from notas_finales_asign where asignatura='".$asignatura."' and codigo='".$info_alumno[0]."'");            
             $n=$obj->numero_de_filas($notas_f);
             
             if ($n==0)

                 $obj->consulta("INSERT INTO notas_finales_asign(codigo,grado,grupo,asignatura,valor_asigna) VALUES ('".$info_alumno[0]."','".$grado."','".$curso."','".$asignatura."','".$info_alumno[1]."')");                

             else                         
                 $obj->consulta("UPDATE notas_finales_asign SET valor_asigna='".($info_alumno[1])."' WHERE asignatura='".$asignatura."' and codigo='".$info_alumno[0]."'");     
    }     
       
    echo "REGISTROS GRABADOS";

    $obj->disconnect();

?>